%define		perlversion	5.10.0
%define		perlepoch	3
%define		perlname	Lingua-Preferred

Distribution:   CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	Perl extension to choose a language.
Name:		perl-%{perlname}
Version:	0.2.4
Release:	2
License:	GNU/GPL 
URL:		http://www.annocpan.org/~EDAVIS/Lingua-Preferred-0.2.4
Group:		Development/Perl
Source0:	%{perlname}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot

Requires:	perl = %{perlepoch}:%{perlversion}
BuildRequires:	perl = %{perlepoch}:%{perlversion}

%description
Many web browsers let you specify which languages you understand.
Then they negotiate with the web server to get documents in the best
language possible.  This is something similar in Perl.

%prep
%setup -q -n %{perlname}-%{version}

%build
perl Makefile.PL %_prefix
make

%install
rm -Rf %{buildroot}
make install DESTDIR=%{buildroot}
# removing unwanted stuff
if [ -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod ]; then
	rm -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod
fi
# stripping package
find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%_libdir
%_mandir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Jan 02 2008 Stefan Gottwald <gotti@ccux-linux.de> 0.2.4-2
- Rebuild against perl 5.10.0
* Thu Oct 26 2006 Stefan Gottwald <gotti@ccux-linux.de> 0.2.4-1
- Initial Release
